# $Revision: 1.10 $, $Date: 2009/08/13 22:45:10 $
Summary:	Free implementation of OpenAL's ALUT standard
Summary(pl.UTF-8):	Wolnodostępna implementacja standardu ALUT OpenAL-a
Name:		freealut
Version:	1.1.0
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.openal.org/openal_webstf/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	e089b28a0267faabdb6c079ee173664a
URL:		http://www.openal.org/
BuildRequires:	OpenAL-devel >= 0.0.8-1
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free implementation of ALUT (OpenAL Utility Toolkit) standard.

%description -l pl.UTF-8
Wolnodostępna implementacja standartu ALUT (OpenAL Utility Toolkit).

%package devel
Summary:	Headers for freealut
Summary(pl.UTF-8):	Pliki nagłówkowe do freealuta
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenAL-devel >= 0.0.8-1

%description devel
freealut header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe freealuta.

%package static
Summary:	Static alut library
Summary(pl.UTF-8):	Statyczna biblioteka alut
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static alut library.

%description static -l pl.UTF-8
Biblioteka alut do konsolidacji statycznej.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I admin/autotools/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libalut.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libalut.so.?

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/libalut.so
%{_libdir}/libalut.la
%{_examplesdir}/%{name}-%{version}
%{_includedir}/AL/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libalut.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freealut.spec,v $
Revision 1.10  2009/08/13 22:45:10  arvenil
- release 2 (rebuild with OpenAL)

Revision 1.9  2008/05/27 14:21:29  shadzik
- ghost symlink

Revision 1.8  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.6  2006/10/06 21:37:00  qboosh
- call automake, ac version

Revision 1.5  2006/09/27 18:09:31  tommat
- turn on regeneration

Revision 1.4  2006/07/22 20:22:35  qboosh
- updated to 1.1.0

Revision 1.3  2006/04/14 08:36:37  megabajt
- packaged examples and documentation
- release 1

Revision 1.2  2006/03/04 12:40:17  qboosh
- cosmetics

Revision 1.1  2006/03/03 22:37:29  sparky
- NEW, alut library, separated from OpenAL
